<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>6.html</title>
	<script type="text/javascript">

		function separar(arg){

	        var vocales=arg.match(/[aeiou]/gi);
	        var consonantes=arg.match(/[bcdfghjklmnpqrstvxyz]/gi);
	       
	        return [vocales,consonantes];
   		}

   		var r=[];
    	var frase=prompt("Escribe una frase");

    	r=separar(frase);
   		console.log(r[0].length);
   		console.log(r[1].length);

	</script>
</head>
<body>
	
</body>
</html>